//-----------------------------------------------------------------------------------------------------
void net()
// The purpose of this function is to allow the user to connect to an arbitrary WiFi network
// It scans for networks & presents a list of found networks as a web page
// the user is invited to submit network credentials (in a web form)

{
  Serial.println("In net function");
  String header = " <link rel='stylesheet' href='style.css'>";  //if we use SPIFFS
  //String header = "";
  String html1;
  const String refresh = "<META HTTP-EQUIV='refresh' CONTENT='200'>";  //reload after 200 seconds
  const String format = "<body background='Mback15.jpg'>";  //image preloaded to SPIFFS
  //const String format = "";  //no SPIFFS
  const String net1 = "\r\n<h2>These are the WiFi networks within range</h2>\r\n";
  // dynamic stuff in here
  const String net2 = "Your network should be listed above\r\n<p>Enter a network name, password, & device name:\r\n<fieldset><legend><b>Join your network here</b></legend>";
  // get network info
  const String form1 = "<p>\r\n<form method='get' action='configure'><label><b>SSID/Password/Device name:\r\n</b></label><input name='ssid' length=32><input name='pass' length=64><label></label><input name='name' length=32><input type='submit' value ='Submit'></form>";
  const String net3 = "</fieldset><p>\r\nI will join your network & reset<p>\r\n";
  const String net6 = "<p>These details are remembered so connection should be automatic in future.\r\n";
  const String net7 = "<p>If your network isn't listed refresh the page or wait a few minutes\r\n";
  const String net8 = "<p>To disable the access point, power cycle (off then on) your device\r\n";

  String webpage;

  int networks = WiFi.scanNetworks(); //number of networks

  html1 += "<ul>";  //unordered, bulleted list...
  for (int i = 0; i < networks; ++i)
  {
    // Print SSID for each network found
    html1 += "<li>";
    html1 += WiFi.SSID(i);
    
    html1 += "</li>";
    html1 +="\r\n";
  }
  html1 += "</ul>";
  webpage = "";
  webpage += header + refresh + format + net1; //preface with common stuff
  if (WiFi.status() == WL_CONNECTED)    //debug
  {
    webpage += "<br><b>You are currently connected to " + WiFi.SSID() + "</b>";
  }

  webpage += html1 + net2 + form1 + net3 + net6 + net7 + net8;
  server.send(200, "text/html", webpage);  //and serve it...
}

//-----------------------------------------------------------------------------------------------------
void not_found()
{
  Serial.println("not found");
  server.send(404, "text/html", "Not Found");  //and serve it...
}

