//-----------------------------------------------------------------------------------------------------
bool station()    //returns true if connect as station is successful

{
  if (WiFi.status() == WL_CONNECTED) // Check remembered connection
    return true;    // and leave if it has happened
  // or else try to make connection by brute force
  int retries = 20;     // keep trying

  while (WiFi.status() != WL_CONNECTED && retries) // Wait for connection
  {
    retries--;
    delay(300);     //my router is slow to respond
    Serial.print(".");    //progress bar

  }
  Serial.println("\n\nConnection status: ");    //debug stuff
  Serial.print("\nSSID:");
  Serial.println(WiFi.SSID());
  Serial.print("password: ");
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());

  if (WiFi.status() != WL_CONNECTED)    //not connected
    return false;
  else
    return true;
}

//-----------------------------------------------------------------------------------------------------
// this function is used here to process incoming stuff from the configuration page
// should add a '404' response too... Done.

void handleOther() {
  // gets here if there is no 'server.on'
  Serial.print("In handleOther : ");
  Serial.println(server.uri());
  ///////////////////////////////////////////////////////////////////////////////
  if (loadFromSpiffs(server.uri())) return;   //gotcha - it's a file in SPIFFS
  //////////////////////////////////////////////////////////////////////////////
  if (server.uri() == "/configure")   //from network form - a network has been chosen?
  {
    String ssid = server.arg(0);    //from the network page - used to set SSID & password of network to connect to
    ssid.replace("+", " ");         //get rid of possible url encoding - swap '+' for 'space'
    String pwd = server.arg(1);     // the password...
    if (server.arg(2) != "")      //blank means a name hasn't been entered
      name = server.arg(2);    //this is the new name of our echo device - stick with sefault if none entered
    put_name(name);     //store name in EEPROM to survive power cycle

    Serial.print("SSID is : " + ssid + "   PASSWORD is : " + pwd + "   NAME is : " + name);

    WiFi.begin(ssid.c_str(), pwd.c_str());    // connect
    delay(1000);      // various delays in here as serial output is killed in restart
    station();
    delay(1000);
    Serial.println("Restarting");
    delay(1000);
    //setup();  //covenient preparation (necessary?)
    ESP.restart();    // reboot
  }
  else
    not_found();
}
//-----------------------------------------------------------------------------------------------------
