// Store & retrieve device name using EEPROM
// extend these functions - could be useful in future
// check_name could return a String rather than modify a global
// both functions could accept a location parameter rather than using 0
// Strings are stored with a byte/char count followed by the actual data

void check_name()   //retrieves a device name from EEPROM if one exists
{
  if (EEPROM.read(0) != 0xFF)     //untouched EEPROM holds 0xFF
  {
    name = "";
    byte count = EEPROM.read(0);  //string length at location 0
    for (int i = 0; i < count; ++i)
    {
      name += (char)(EEPROM.read(i + 1)); //skip over count & build name - name is global. Cast to char
    }
  }
}


void put_name (String new_name)
{
  byte length = new_name.length();    //get length of string
  EEPROM.write(0, length);            // store at location 0
  for (int i = 0; i < new_name.length(); ++i)
  {
    EEPROM.write(i + 1, new_name.charAt(i));  //store string character by character
  }
  EEPROM.commit();      //needed by ESP8266 as EEPROM is emulated
}


